GNU bug report logs - #53935
27.2; [PATCH] ecomplete.el: Auto-select when there is only a single option

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Phil Sainty <psainty@HIDDEN>; Keywords: patch; dated Fri, 11 Feb 2022 02:48:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 13 Feb 2022 08:14:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 13 03:14:24 2022
Received: from localhost ([127.0.0.1]:36180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJA1Y-0002d2-6r
	for submit <at> debbugs.gnu.org; Sun, 13 Feb 2022 03:14:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nJA1W-0002co-Tn
 for 53935 <at> debbugs.gnu.org; Sun, 13 Feb 2022 03:14:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WFgZz2DQi03VqnrDDKRIbWXZoun6PlihiQPWgT/1680=; b=hlIa1Wv090iy9zj+HPQAo2xNqH
 +iUWr4tjEQAWDDK4DAgvC3xriu2VLZtf+B0wKwmGueN4gYod13ZIn65u/YRbElp6HtOm9Mu3/tPZ4
 CUEo90mLNPrpBnjw3pz/IU0JUc/i9yzsGIQNDkZ79C+ntXN6FLrPlxedgjiRYAKIMmXA=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nJA1M-0000Rb-U1; Sun, 13 Feb 2022 09:14:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
 <87o83d6hlg.fsf@HIDDEN>
 <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
 <87k0e060lk.fsf@HIDDEN>
 <bde2e1aea2ca86c47364f6ed0997cc87@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEXY2MaplDYvPSg6
 Wi1FaDD///8TZ0UnAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YCDQgNNB5qAsIAAAFmSURBVDjLnZTr
 kYMwDIS5EphJBZAKkBogq/5rutXLmFzy5zwwZPx59VhElp9dYSoGs7j9IYplSQDfRMM9gUB5KRCA
 BLtJKESEakOHsgYg0AiSxM9lKKiDsVhKAl9D4ZcmMB4YxZ52ASpH2ljHCEWkHQue3LLBFnAXpwP2
 VJ3HWT4liyoFK+KGevlxJPoqhVdL7zwMPThYfjZIhSfSNJIAXa6WE1FBeJcA0UlZdoF0BBIm80BY
 NAGk+Wzi2C+FBUg7hVUd2YeDklhGmhS+K163uKKBp1BvUP8oUFUhFceoKhMjfrGqApiAhVevAdBA
 3kKhRkKmHCrhqkY7BJPt6oarJ+aAyWWip8hYilJ4qG2TY4u11+y9GnxaBLLJPLgWb8Zz6DNGc30M
 4KYRPOc5L0WDcz3XilKh3hW3HM/7qMfgfQEclAZEjwloA8Vd0X8AbpHF++bto6fjnUPmRDj9+1jW
 j+tf4Mv6BUmW4HKok9CDAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTAyLTEzVDA4OjEzOjUyKzAw
 OjAwV9N+0QAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wMi0xM1QwODoxMzo1MiswMDowMCaOxm0A
 AAAASUVORK5CYII=
X-Now-Playing: Sidsel Endresen's _Undertow_: "Distances"
Date: Sun, 13 Feb 2022 09:14:12 +0100
In-Reply-To: <bde2e1aea2ca86c47364f6ed0997cc87@HIDDEN> (Phil
 Sainty's message of "Sat, 12 Feb 2022 23:27:31 +1300")
Message-ID: <87v8xjyyi3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Phil Sainty <psainty@HIDDEN> writes: > I probably
 didn't pick a good name for the option,
 though. In > hindsight something like `ecomplete-display-matches-auto-choose'
 is > probably better. Or `ecomplete-display-matches-choose-dwim', giv [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Phil Sainty <psainty@HIDDEN> writes:

> I probably didn't pick a good name for the option, though.  In
> hindsight something like `ecomplete-display-matches-auto-choose' is
> probably better.  Or `ecomplete-display-matches-choose-dwim', given
> that it's a DWIM-ish behaviour?

The latter sounds better to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 12 Feb 2022 10:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 05:27:34 2022
Received: from localhost ([127.0.0.1]:33555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIpcs-0008DC-Dl
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 05:27:34 -0500
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:39493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1nIpcq-0008D2-UG
 for 53935 <at> debbugs.gnu.org; Sat, 12 Feb 2022 05:27:33 -0500
Received: from [10.253.37.70] (port=56882 helo=webmail.orcon.net.nz)
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1nIpcp-0005lb-3m; Sat, 12 Feb 2022 23:27:31 +1300
Received: from ip-139-180-65-103.kinect.net.nz ([139.180.65.103])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Sat, 12 Feb 2022 23:27:31 +1300
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sat, 12 Feb 2022 23:27:31 +1300
From: Phil Sainty <psainty@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
In-Reply-To: <87k0e060lk.fsf@HIDDEN>
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
 <87o83d6hlg.fsf@HIDDEN>
 <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
 <87k0e060lk.fsf@HIDDEN>
Message-ID: <bde2e1aea2ca86c47364f6ed0997cc87@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2022-02-12 19:49, Lars Ingebrigtsen wrote:
> Ah, I see.  Well, that's a lot better.  But...  it seems like a lot
> of stuff to just not have to hit RET when choosing an email address.

I thought that it was a small amount of stuff to prevent a noticeable
irritation.

I can see that you don't find the current behaviour to be irritating,
but "why can't I complete a singlular match with a single command?"
was one of my first questions upon trying ecomplete, so I'd be awfully
surprised if I was alone in that.


> And it makes the action of `M-n' less predicable -- sometimes it'll
> choose a name, and sometimes not.

I feel this is mitigated by the fact that the user sees in advance
what it's going to do (based on whether there's one match, or more
than one match, displayed in the echo area at the time).


> So I'm still not sure whether this makes sense for Emacs.

Having it as a user option is appropriate then, I think.  I'm in
favour of enabling the patched behaviour by default, but I don't mind
if it's opt-in.

I probably didn't pick a good name for the option, though.  In
hindsight something like `ecomplete-display-matches-auto-choose' is
probably better.  Or `ecomplete-display-matches-choose-dwim', given
that it's a DWIM-ish behaviour?


-Phil





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 12 Feb 2022 06:49:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 01:49:40 2022
Received: from localhost ([127.0.0.1]:33223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nImDz-0007B8-VZ
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2022 01:49:40 -0500
Received: from quimby.gnus.org ([95.216.78.240]:38902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nImDy-0007Aw-Li
 for 53935 <at> debbugs.gnu.org; Sat, 12 Feb 2022 01:49:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=B38x46VRorivSZKE70r2mKlNk369dql0wwnMKKJ31D0=; b=u4CGcqHYpYD1W6OvcTn6eos1lJ
 urRyyRS1KyLdOQ7s+pq6xFhC95BWxfnXbhD9z8f4dUjx5EHfBoej+LUJ6MKBfk8hUCz40cNwU2zIH
 pEpVxCkRQm1GN/diNsNE6ttezy2CKfOtgzssZ+f9zAWafL2Txp6warwM0vuf/1FrQ4qs=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nImDp-0004LE-3T; Sat, 12 Feb 2022 07:49:32 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
 <87o83d6hlg.fsf@HIDDEN>
 <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX046vr7dilur2G
 fHlPPDj///+AV5IAAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YCDAYvBsMtXw0AAAGaSURBVDjLlZRh
 cuMwCIXtpAcI5AIB9gCN0AFaS/c/0z5hWVbazOwszo+ETw8Q4CxLt5VebTEzVbWffjoE9H+A3tjb
 xP8Gy0XNYTlpGLN2oJprybV2AHsMUIT0z1uARAOw3F5ALnVTlV+K29Vrfb4DjvwFXuEJbER3+Gv1
 sO0A7itlr8PKDjwpP24haOnxpSscMe2+n0VMhEodwH+99iDEng+gj3W5WG1VBRgKTYtevPoe6gVo
 slwj+xfpDHJNHyXAd0zgAIZefPTkjs8AWiv1qnL1MisK9XugWcXTqdjo3osiLmkK9dUVT4At+dFd
 h4MDJCXSGWBjeM8gIDYAQivl6K0wnYPybxbi3CarcJ+jzXAoytrsB3CMWSgZmiYvy5CIW04c9rYl
 LAcIAUy17ZzoCUIBgbVAiHYCAiNlPIhLA1BTMAnHQ2RpACiU4sAMPF4ivblLuwiJfe4ghYLvXlbk
 Rm0TaL8NG+l7vT35swUSzW0NWnNGE+MOT4wU45b5VYvcCTt7dQ+/DIUwJ2mhVjZk4c/Fj3+Tiy6z
 /QW+xX8mOL9oVAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMi0xMlQwNjo0NzowNSswMDowMPam
 3yIAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDItMTJUMDY6NDc6MDUrMDA6MDCH+2eeAAAAAElF
 TkSuQmCC
X-Now-Playing: Yukihiro Takahashi's _Blue Moon Blue_: "Something New"
Date: Sat, 12 Feb 2022 07:49:27 +0100
In-Reply-To: <1800d942d3cdf963c15cd970ba64bd37@HIDDEN> (Phil
 Sainty's message of "Fri, 11 Feb 2022 21:28:16 +1300")
Message-ID: <87k0e060lk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Phil Sainty <psainty@HIDDEN> writes: > The "automated"
 part of my patch happens *after* the user has finished > adding/removing
 characters, and has explicitly said (via M-n) that they > now wish to choose
 from one of the visible completi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Phil Sainty <psainty@HIDDEN> writes:

> The "automated" part of my patch happens *after* the user has finished
> adding/removing characters, and has explicitly said (via M-n) that they
> now wish to choose from one of the visible completion options.
>
> The only difference between the old and new behaviour is that, in cases
> where they'd filtered the completion options down to a single option,
> they no longer have to additionally (and redundantly) type RET after
> M-n to select the only thing that they could possibly select.
>
> ("M-n" acts like the sequence "M-n RET", in other words.)

Ah, I see.  Well, that's a lot better.  But...  it seems like a lot of
stuff to just not have to hit RET when choosing an email address.  And
it makes the action of `M-n' less predicable -- sometimes it'll choose a
name, and sometimes not.

So I'm still not sure whether this makes sense for Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 11 Feb 2022 10:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 11 05:24:19 2022
Received: from localhost ([127.0.0.1]:58385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIT6B-0004QM-2J
	for submit <at> debbugs.gnu.org; Fri, 11 Feb 2022 05:24:19 -0500
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:45729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1nIT69-0004QE-Fq
 for 53935 <at> debbugs.gnu.org; Fri, 11 Feb 2022 05:24:18 -0500
Received: from [10.253.37.70] (port=44660 helo=webmail.orcon.net.nz)
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1nIT67-0008Fd-IW; Fri, 11 Feb 2022 23:24:15 +1300
Received: from ip-139-180-65-103.kinect.net.nz ([139.180.65.103])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Fri, 11 Feb 2022 23:24:15 +1300
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_d019e8c885525c0cf4e6214c65af2b5e"
Date: Fri, 11 Feb 2022 23:24:15 +1300
From: Phil Sainty <psainty@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
In-Reply-To: <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
 <87o83d6hlg.fsf@HIDDEN>
 <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
Message-ID: <009c72c3522443ee13e5a276fdb26d4f@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=_d019e8c885525c0cf4e6214c65af2b5e
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=US-ASCII;
 format=flowed

I realised this would be better with some minor refactoring of
the existing code, so I'm attaching a new version of that patch.

I've used "git diff --ignore-space-change" for clarity (hence the
indentation isn't correct).

--=_d019e8c885525c0cf4e6214c65af2b5e
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=ecomplete-auto-select2.patch
Content-Disposition: attachment;
 filename=ecomplete-auto-select2.patch;
 size=2466
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--=_d019e8c885525c0cf4e6214c65af2b5e--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 11 Feb 2022 08:28:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 11 03:28:20 2022
Received: from localhost ([127.0.0.1]:58187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIRHw-0001RF-51
	for submit <at> debbugs.gnu.org; Fri, 11 Feb 2022 03:28:20 -0500
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:58265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1nIRHu-0001R7-9z
 for 53935 <at> debbugs.gnu.org; Fri, 11 Feb 2022 03:28:19 -0500
Received: from [10.253.37.70] (port=58188 helo=webmail.orcon.net.nz)
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1nIRHs-0002av-DD; Fri, 11 Feb 2022 21:28:16 +1300
Received: from ip-139-180-65-103.kinect.net.nz ([139.180.65.103])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Fri, 11 Feb 2022 21:28:16 +1300
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Fri, 11 Feb 2022 21:28:16 +1300
From: Phil Sainty <psainty@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
In-Reply-To: <87o83d6hlg.fsf@HIDDEN>
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
 <87o83d6hlg.fsf@HIDDEN>
Message-ID: <1800d942d3cdf963c15cd970ba64bd37@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2022-02-11 19:30, Lars Ingebrigtsen wrote:
> ecomplete tries to emulate how these things work in major browsers,
> and they do not work this way (autoselect when there's only one
> match) -- because the user may be typing to see what's available,
> and would then remove some characters if they don't get the matches
> they're looking for.

They can still do all of that, just as before.

The "automated" part of my patch happens *after* the user has finished
adding/removing characters, and has explicitly said (via M-n) that they
now wish to choose from one of the visible completion options.

The only difference between the old and new behaviour is that, in cases
where they'd filtered the completion options down to a single option,
they no longer have to additionally (and redundantly) type RET after
M-n to select the only thing that they could possibly select.

("M-n" acts like the sequence "M-n RET", in other words.)


-Phil





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at 53935 <at> debbugs.gnu.org:


Received: (at 53935) by debbugs.gnu.org; 11 Feb 2022 06:30:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 11 01:30:16 2022
Received: from localhost ([127.0.0.1]:58094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nIPRf-0004p8-SG
	for submit <at> debbugs.gnu.org; Fri, 11 Feb 2022 01:30:16 -0500
Received: from quimby.gnus.org ([95.216.78.240]:56512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nIPRd-0004gU-Qk
 for 53935 <at> debbugs.gnu.org; Fri, 11 Feb 2022 01:30:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TsVUOK5lwz6/altoPHvNABi7RMdJF1bxwGHOCuHhRUo=; b=P1FSSkHbE5KizmhSfX8dXe2BiJ
 +uQ0GAdOTUShbntu++qybGoIpiozZFNCxWmd1GPLK/+ZfZQeBzlulhGWsajmwg99hjP6OfYbBKIgK
 P9LBwndDxA4VkaedBqohJ4jaePRYW/xZmsr28W/8vZMR6383kB+dGMCcVh7KwmtyCJZ4=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nIPRU-0008PR-Rg; Fri, 11 Feb 2022 07:30:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there
 is only a single option
References: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
X-Now-Playing: Woolf's _Woolf_: "December"
Date: Fri, 11 Feb 2022 07:30:03 +0100
In-Reply-To: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN> (Phil
 Sainty's message of "Fri, 11 Feb 2022 15:47:14 +1300")
Message-ID: <87o83d6hlg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Phil Sainty <psainty@HIDDEN> writes: > I tried out
 ecomplete
 for email address completion today(*), > and I found it slightly annoying
 that when there was only a > single match for the text, I still have to firstly
 type M-n > to access t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53935
Cc: 53935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Phil Sainty <psainty@HIDDEN> writes:

> I tried out ecomplete for email address completion today(*),
> and I found it slightly annoying that when there was only a
> single match for the text, I still have to firstly type M-n
> to access the completion 'list', and then RET to select the
> only available option.
>
> Would the attached patch be a reasonable enhancement?

ecomplete tries to emulate how these things work in major browsers, and
they do not work this way (autoselect when there's only one match) --
because the user may be typing to see what's available, and would then
remove some characters if they don't get the matches they're looking
for.

So if we're adding this, it should default to nil, but I'm a bit
sceptical that many people would want the auto-select behaviour in any
case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2022 02:47:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 10 21:47:30 2022
Received: from localhost ([127.0.0.1]:57897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nILy5-0007HB-LJ
	for submit <at> debbugs.gnu.org; Thu, 10 Feb 2022 21:47:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:58044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1nILy4-0007H4-EM
 for submit <at> debbugs.gnu.org; Thu, 10 Feb 2022 21:47:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57386)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1nILy4-0001de-1Z
 for bug-gnu-emacs@HIDDEN; Thu, 10 Feb 2022 21:47:28 -0500
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:41515)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1nILy1-00008F-4N
 for bug-gnu-emacs@HIDDEN; Thu, 10 Feb 2022 21:47:27 -0500
Received: from [10.253.37.70] (port=11291 helo=webmail.orcon.net.nz)
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>) id 1nILxq-00081h-W0
 for bug-gnu-emacs@HIDDEN; Fri, 11 Feb 2022 15:47:17 +1300
Received: from ip-139-180-65-103.kinect.net.nz ([139.180.65.103])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Fri, 11 Feb 2022 15:47:14 +1300
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_573c406a5f67bab4afb24fb3b2f07458"
Date: Fri, 11 Feb 2022 15:47:14 +1300
From: Phil Sainty <psainty@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.2; [PATCH] ecomplete.el: Auto-select when there is only a single
 option
Message-ID: <1d908e97443d75dcb94e1e7c9fdcfb79@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
Received-SPF: pass client-ip=60.234.4.44; envelope-from=psainty@HIDDEN;
 helo=smtp-3.orcon.net.nz
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=_573c406a5f67bab4afb24fb3b2f07458
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=US-ASCII;
 format=flowed

I tried out ecomplete for email address completion today(*),
and I found it slightly annoying that when there was only a
single match for the text, I still have to firstly type M-n
to access the completion 'list', and then RET to select the
only available option.

Would the attached patch be a reasonable enhancement?


-Phil

(*) On account of 
https://www.reddit.com/r/emacs/comments/sl33w6/ecomplete_the_emacs_contact_manager_you_were/



In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll 
bars)
  of 2021-07-12 built on phil-lp
Windowing system distributor 'The X.Org Foundation', version 
11.0.12008000
System Description: Ubuntu 18.04.6 LTS

--=_573c406a5f67bab4afb24fb3b2f07458
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=ecomplete-auto-select.patch
Content-Disposition: attachment;
 filename=ecomplete-auto-select.patch;
 size=1174

ZGlmZiAtLWdpdCBhL2xpc3AvZWNvbXBsZXRlLmVsIGIvbGlzcC9lY29tcGxldGUuZWwKaW5kZXgg
MjYwNjU3ZTBmNy4uZTAxMWMzMjEwZSAxMDA2NDQKLS0tIGEvbGlzcC9lY29tcGxldGUuZWwKKysr
IGIvbGlzcC9lY29tcGxldGUuZWwKQEAgLTgwLDYgKzgwLDEwIEBAIGVjb21wbGV0ZS1zb3J0LXBy
ZWRpY2F0ZQogCQkoZnVuY3Rpb24taXRlbSA6dGFnICJTb3J0IGJ5IG5ld25lc3MiIGVjb21wbGV0
ZS1uZXduZXNzKQogCQkoZnVuY3Rpb24gOnRhZyAiT3RoZXIiKSkpCiAKKyhkZWZjdXN0b20gZWNv
bXBsZXRlLW1lc3NhZ2UtZGlzcGxheS1hYmJyZXYtYXV0by1zZWxlY3QgdAorICAiV2hldGhlciBg
bWVzc2FnZS1kaXNwbGF5LWFiYnJldicgc2hvdWxkIGF1dG9tYXRpY2FsbHkgc2VsZWN0IGEgc29s
ZSBvcHRpb24uIgorICA6dHlwZSAnYm9vbGVhbikKKwogOzs7IEludGVybmFsIHZhcmlhYmxlcy4K
IAogKGRlZnZhciBlY29tcGxldGUtZGF0YWJhc2UgbmlsKQpAQCAtMTc0LDYgKzE3OCwxMiBAQCBl
Y29tcGxldGUtZGlzcGxheS1tYXRjaGVzCiAJICAoZGVmaW5lLWtleSBsb2NhbC1tYXAgKGtiZCAi
PGRvd24+IikgbmV4dC1mdW5jKQogCSAgKGRlZmluZS1rZXkgbG9jYWwtbWFwIChrYmQgIk0tcCIp
IHByZXYtZnVuYykKIAkgIChkZWZpbmUta2V5IGxvY2FsLW1hcCAoa2JkICI8dXA+IikgcHJldi1m
dW5jKQorICAgICAgICAgIDs7IEF1dG8tc2VsZWN0IHdoZW4gdGhlcmUgaXMgb25seSBhIHNpbmds
ZSBvcHRpb24uCisgICAgICAgICAgKHdoZW4gZWNvbXBsZXRlLW1lc3NhZ2UtZGlzcGxheS1hYmJy
ZXYtYXV0by1zZWxlY3QKKyAgICAgICAgICAgIChzYXZlLW1hdGNoLWRhdGEKKyAgICAgICAgICAg
ICAgKHdoZW4tbGV0ICgobWF0Y2ggKHN0cmluZy1tYXRjaCAiXFxgXFwoLitcXClcbiIgbWF0Y2hl
cykpKQorICAgICAgICAgICAgICAgICh3aGVuIChzdHJpbmc9IChtYXRjaC1zdHJpbmcgMCBtYXRj
aGVzKSBtYXRjaGVzKQorICAgICAgICAgICAgICAgICAgKHNldHEgc2VsZWN0ZWQgKG1hdGNoLXN0
cmluZyAxIG1hdGNoZXMpKSkpKSkKIAkgIChsZXQgKChvdmVycmlkaW5nLWxvY2FsLW1hcCBsb2Nh
bC1tYXApKQogCSAgICAod2hpbGUgKGFuZCAobnVsbCBzZWxlY3RlZCkKIAkJCShzZXRxIGNvbW1h
bmQgKHJlYWQta2V5LXNlcXVlbmNlIGhpZ2hsaWdodCkpCg==
--=_573c406a5f67bab4afb24fb3b2f07458--





Acknowledgement sent to Phil Sainty <psainty@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53935; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Feb 2022 08:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.